import { IconDefinition, IconName, IconPrefix } from '@fortawesome/fontawesome-common-types';
export declare type faIconPrefix = IconPrefix | 'fa';
export interface Library {
    definitions?: Record<string, IconDefinition>;
}
export declare type IconSplit = [faIconPrefix, IconName];
export declare type IconString = `${faIconPrefix}:${IconName}`;
export declare function parseIcon(iconData: any): string;
export declare function useFa(app: any, icon_aliases: any): Promise<void>;
//# sourceMappingURL=index.d.ts.map